Subject: Re: bug#57402: webkitgtk-with-libsoup2 fails to build on powerpc64le, breaking freecad

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 01 Oct 2023 23:28:56 -0400

reopen 57402
quit

Hi Marcel,

Marcel van der Boom <[email-masked]> writes:

> I think this issue was wrongly retitled. While the
> webkitgtk-with-libsoup2 *was* also an issue (now fixed) the configure
> phase error as originally reported (reproduced below for clarity) is
> still there.
>
>
> CMake Error at
> /gnu/store/sigy8gnn715y6219syqh2a2fr70l5vly-qtbase-5.15.10/lib/cmake/Qt5/Qt5Config.cmake:28
> (find_
>  Could not find a package configuration file provided by
>  "Qt5WebEngineWidgets" with any of the following names:
>
>    Qt5WebEngineWidgetsConfig.cmake
>    qt5webenginewidgets-config.cmake
>
>  Add the installation prefix of "Qt5WebEngineWidgets" to
>  CMAKE_PREFIX_PATH
>  or set "Qt5WebEngineWidgets_DIR" to a directory containing one   of
> the above
>  files.  If "Qt5WebEngineWidgets" provides a separate development
>  package or
>  SDK, be sure it has been installed.
> Call Stack (most recent call first):
>  cMake/FreeCAD_Helpers/SetupQt.cmake:31 (find_package)
>  CMakeLists.txt:78 (include)

I'm not sure how you got so far, as on master it currently fails due to
the following dependencies failing to build [0]:

- netcdf-4.9.0 (due to 	hdf4-alt-4.2.16-2)
- vtk-9.2.2 (also due to hdf4-alt-4.2.16-2)
- python-wxpython-4.2.0 (webkitgtk-with-libsoup2-2.40.5)
- python-matplotlib-3.5.2 (also webkitgtk-with-libsoup2-2.40.5)

[0]  https://ci.guix.gnu.org/build/2084250/details

Reopening as webkitgtk-with-libsoup2 is apparently still broken.

I tried fixing hdf4 but I got lost; Nix and Fedora are on 4.2.15 and
using Fedora's patches, which appear to me mostly obsoleted by changes
in 4.2.16; I reported the bug here [0] (that's the place linked on their
website although I also see they accept issues on Github [1]).

But it seems only 2 dependencies break freecad on powerpc64le.  Help
welcome!

[0]  https://jira.hdfgroup.org/browse/AES-11
[1]  https://github.com/HDFGroup/hdf4/issues

-- 
Thanks,
Maxim